package com.eden.room;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * 房源管理系统启动类
 */
@SpringBootApplication
@MapperScan("com.eden.room.mapper")
@EnableDiscoveryClient  // 启用服务发现
@EnableFeignClients     // 启用Feign客户端
@EnableTransactionManagement // 启用事务管理
public class RoomApplication {
    
    public static void main(String[] args) {
        SpringApplication.run(RoomApplication.class, args);
        System.out.println("房源管理系统启动成功");
    }
} 