package com.eden.room.common;

import lombok.Data;

/**
 * 上下文用户信息
 */
@Data
public class ContextUser {
    /**
     * 租户ID
     */
    private String tenantId;
    
    /**
     * 用户ID
     */
    private String userId;

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    /**
     * 用户名
     */
    private String username;
    
    /**
     * 设置当前用户信息
     */
    public static void setCurrentUser(ContextUser user) {
        UserContextHolder.set(user);
    }
    
    /**
     * 获取当前用户信息
     */
    public static ContextUser getCurrentUser() {
        return UserContextHolder.get();
    }
    
    /**
     * 清除当前用户信息
     */
    public static void clear() {
        UserContextHolder.clear();
    }
    
    /**
     * 获取用户名（兼容方法）
     */
    public String getUserName() {
        return username;
    }
    
    /**
     * 获取用户ID（兼容方法）
     */
    public String getUserId() {
        return userId;
    }
} 