package com.eden.room.common;

import lombok.Data;

/**
 * 用户上下文持有者
 */
@Data
public class UserContextHolder {
    private static final ThreadLocal<ContextUser> contextHolder = new ThreadLocal<>();
    
    public static void set(ContextUser user) {
        contextHolder.set(user);
    }
    
    public static ContextUser get() {
        return contextHolder.get();
    }
    
    public static void clear() {
        contextHolder.remove();
    }
} 