package com.eden.room.common.enums;

/**
 * 招商状态枚举
 */
public enum BusinessStatusEnum {
    
    /** 招商 */
    BUSINESS("1","招商"),
    
    /** 不招商 */
    NO_BUSINESS("2","不招商");
    
    private final String value;

    public String getKey() {
        return key;
    }

    private final String key;

    BusinessStatusEnum(String key, String value) {
        this.value = value;
        this.key = key;
    }
    
    public String getValue() {
        return value;
    }
    
    /**
     * 根据值获取枚举
     *
     * @param value 枚举值
     * @return 枚举
     */
    public static BusinessStatusEnum getByValue(String value) {
        for (BusinessStatusEnum status : values()) {
            if (status.getKey().equals(value)) {
                return status;
            }
        }
        return null;
    }
    /**
     * 根据枚举获取值
     *
     * @param key
     * @return 枚举
     */
    public static String getValue(String key) {
        for (BusinessStatusEnum status : values()) {
            if (status.getKey().equals(key)) {
                return status.getValue();
            }
        }
        return null;
    }
    /**
     * 校验枚举值是否有效
     *
     * @param value 枚举值
     * @return 是否有效
     */
    public static boolean isValid(String value) {
        return getByValue(value) != null;
    }
} 