package com.eden.room.common.enums;

/**
 * 图片类型枚举
 */
public enum ImageTypeEnum {
    
    /** 房源图片 */
    ROOM_IMAGE("1","房源图片"),
    
    /** 户型图 */
    FLOOR_PLAN("2","户型图");
    
    private final String value;

    public String getKey() {
        return key;
    }

    private final String key;

    ImageTypeEnum(String key, String value) {
        this.value = value;
        this.key = key;
    }
    
    public String getValue() {
        return value;
    }
    
    /**
     * 根据值获取枚举
     *
     * @param value 枚举值
     * @return 枚举
     */
    public static ImageTypeEnum getByValue(String value) {
        for (ImageTypeEnum type : values()) {
            if (type.getKey().equals(value)) {
                return type;
            }
        }
        return null;
    }
    
    /**
     * 校验枚举值是否有效
     *
     * @param value 枚举值
     * @return 是否有效
     */
    public static boolean isValid(String value) {
        return getByValue(value) != null;
    }
} 