package com.eden.room.common.enums;

/**
 * 产权性质枚举
 */
public enum PropertyNatureEnum {
    
    /** 自持 */
    SELF_HOLD("1","自持"),
    
    /** 承租 */
    RENTAL("2","承租"),
    
    /** 自持+承租 */
    MIXED("3","自持+承租");
    
    private final String value;

    public String getKey() {
        return key;
    }

    private final String key;

    PropertyNatureEnum(String key, String value) {
        this.value = value;
        this.key = key;
    }
    
    public String getValue() {
        return value;
    }
    
    /**
     * 根据值获取枚举
     *
     * @param value 枚举值
     * @return 枚举
     */
    public static PropertyNatureEnum getByValue(String value) {
        for (PropertyNatureEnum nature : values()) {
            if (nature.getKey().equals(value)) {
                return nature;
            }
        }
        return null;
    }
    
    /**
     * 校验枚举值是否有效
     *
     * @param value 枚举值
     * @return 是否有效
     */
    public static boolean isValid(String value) {
        return getByValue(value) != null;
    }
} 