package com.eden.room.common.enums;

/**
 * 房源状态枚举
 */
public enum RoomStatusEnum {
    
    /** 公开 */
    PUBLIC("1","公开"),
    
    /** 关闭 */
    CLOSED("2","关闭"),
    
    /** 私密 */
    PRIVATE("3","私密");
    

    ;
    private final String value;

    public String getKey() {
        return key;
    }

    private final String key;

    RoomStatusEnum(String key,String value) {
        this.key = key;
        this.value = value;
    }
    
    public String getValue() {
        return value;
    }
    
    /**
     * 根据值获取枚举
     *
     * @param value 枚举值
     * @return 枚举
     */
    public static RoomStatusEnum getByValue(String value) {
        for (RoomStatusEnum status : values()) {
            if (status.getKey().equals(value)) {
                return status;
            }
        }
        return null;
    }
    
    /**
     * 校验枚举值是否有效
     *
     * @param value 枚举值
     * @return 是否有效
     */
    public static boolean isValid(String value) {
        return getByValue(value) != null;
    }
} 