package com.eden.room.controller;

import com.eden.room.common.Result;
import com.eden.room.domain.Project;
import com.eden.room.domain.vo.ProjectTreeVO;
import com.eden.room.service.IProjectService;
import com.eden.room.service.ProjectTreeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("c")
public class ProjectForeignController {

    @Autowired
    private ProjectTreeService projectTreeService;
    @Autowired
    private IProjectService projectService;

    @GetMapping
    public List<ProjectTreeVO> getProjectTree(@RequestParam(defaultValue = "4") Integer level) {
        return projectTreeService.getProjectTree(level);
    }

    @GetMapping(value = "/foreign/{id}")
    public Project getInfo(@PathVariable("id") String id) {
        return projectService.selectProjectById(id);
    }
} 