package com.eden.room.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.MappedSuperclass;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * 基础实体类
 */
@Data
@MappedSuperclass
public class BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 租户ID */
    @Column(name = "tenant_id")
    //@NotBlank(message = "租户ID不能为空")
    private String tenantId;

    /** 创建时间 */
    @Column(name = "create_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    //@NotNull(message = "创建时间不能为空")
    private Date createTime;

    /** 更新时间 */
    @Column(name = "last_mod_time")
    @Temporal(TemporalType.TIMESTAMP)
    //@NotNull(message = "更新时间不能为空")
    private Date lastModTime;

    /** 创建人 */
    @Column(name = "create_user_id")
    //@NotBlank(message = "创建人不能为空")
    private String createUserId;

    /** 更新人 */
    @Column(name = "last_mod_user_id")
    //@NotBlank(message = "更新人不能为空")
    private String lastModUserId;

    /** 是否删除：0-否，1-是 */
    @Column(name = "del_flag")
    //@NotBlank(message = "删除标记不能为空")
    private String delFlag;

    /** 备注 */
    @Column(name = "remark")
    private String remark;

    /** 预留字段1 */
    @Column(name = "reserve1")
    private String reserve1;

    /** 预留字段2 */
    @Column(name = "reserve2")
    private String reserve2;

    /** 预留字段3 */
    @Column(name = "reserve3")
    private String reserve3;

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getLastModTime() {
        return lastModTime;
    }

    public void setLastModTime(Date lastModTime) {
        this.lastModTime = lastModTime;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public String getLastModUserId() {
        return lastModUserId;
    }

    public void setLastModUserId(String lastModUserId) {
        this.lastModUserId = lastModUserId;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getReserve1() {
        return reserve1;
    }

    public void setReserve1(String reserve1) {
        this.reserve1 = reserve1;
    }

    public String getReserve2() {
        return reserve2;
    }

    public void setReserve2(String reserve2) {
        this.reserve2 = reserve2;
    }

    public String getReserve3() {
        return reserve3;
    }

    public void setReserve3(String reserve3) {
        this.reserve3 = reserve3;
    }
}