package com.eden.room.domain;

import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.persistence.Table;
import javax.persistence.Column;
import javax.persistence.Id;

/**
 * 楼层信息实体类
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(name = "TB_FLOOR")
public class Floor extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 楼层ID */
    @Id
    @Column(name = "id")
    private Long id;

    /** 租户ID */
    @Column(name = "tenant_id")
    private String tenantId;

    /** 所属楼宇ID */
    @Column(name = "building_id")
    @NotBlank(message = "所属楼宇ID不能为空")
    private Long buildingId;

    /** 楼层数字编号 */
    @Column(name = "floor_number")
    @NotNull(message = "楼层数字编号不能为空")
    private Integer floorNumber;

    /** 楼层名称 */
    @Column(name = "floor_name")
    @NotBlank(message = "楼层名称不能为空")
    private String floorName;
    
    // 显式提供getter方法，以防Lombok失效
    public String getFloorName() {
        return this.floorName;
    }
    
    public void setFloorName(String floorName) {
        this.floorName = floorName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(Long buildingId) {
        this.buildingId = buildingId;
    }

    public Integer getFloorNumber() {
        return floorNumber;
    }

    public void setFloorNumber(Integer floorNumber) {
        this.floorNumber = floorNumber;
    }
}