package com.eden.room.domain;

import com.eden.room.utils.excel.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 房源导入数据
 */
@Data
public class RoomExport {

    /**
     * 项目名称
     */
    @Excel(name = "项目名称", required = true, sort = 1)
    private String projectName;

    /**
     * 楼宇名称
     */
    @Excel(name = "楼宇名称", required = true, sort = 2)
    private String buildingName;

    /**
     * 楼层
     */
    @Excel(name = "楼层", required = true, sort = 3)
    private String floorName;

    /**
     * 房源编号
     */
    @Excel(name = "房号", required = true, sort = 4)
    private String roomNumber;
    /**
     * 计租面积
     */
    @Excel(name = "计租面积", required = true, sort = 5)
    private BigDecimal rentalArea;

    /**
     * 报价+单位
     */
    @Excel(name = "报价", required = true, sort = 6)
    private String priceAndUnit;

    /**
     * 租赁状态
     */
    @Excel(name = "租赁状态", required = true, sort = 7)
    private String rentalStatus;

    /**
     * 可租日期
     */
    @Excel(name = "可租日期", required = true, sort = 8)
    private Date availableDate;
    /**
     * 房源标签
     */
    @Excel(name = "房源标签", required = true, sort = 9)
    private String tags;
    /**
     * 虚拟房源
     */
    @Excel(name = "虚拟房源", sort =10)
    private String isVirtual;

    /**
     * 招商状态
     */
    @Excel(name = "招商状态", sort = 11)
    private String businessStatus;
    
    /**
     * 装修情况
     */
    @Excel(name = "装修情况", sort = 12)
    private String decorationStatus;
    
    /**
     * 房源交付时间
     */
    @Excel(name = "房源交付时间", sort = 13)
    private Date deliveryTime;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", sort = 14)
    private Date createTime;
} 