package com.eden.room.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

/**
 * 房源拓展信息实体
 */
@Data
public class RoomExtendInfo extends BaseEntity {
    /** 拓展信息ID */
    private Long id;
    
    /** 租户ID */
    private String tenantId;
    
    /** 房源ID */
    private Long roomId;
    
    /** 房源备案号 */
    private String roomRecordNumber;
    
    /** 使用率，例如 2+1 */
    private String usageRate;
    
    /** 办公格局 */
    private String officeLayout;
    
    /** 窗面朝向，例如 南 */
    private String windowOrientation;
    
    /** 免租期，例如 前2个月 */
    private String rentFreePeriod;
    
    /** 最短租期，例如 12个月 */
    private String minLeaseTerm;
    
    /** 工位数量下限 */
    private Integer workstationMin;
    
    /** 工位数量上限 */
    private Integer workstationMax;
    
    /** 户型图说明 */
    private String floorPlanDesc;
    
    /** 标签，多个标签以逗号分隔 */
    private String tags;
    
    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    
    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    
    /** 创建人 */
    private String createBy;
    
    /** 更新人 */
    private String updateBy;
    
    /** 是否删除：0-否，1-是 */
    private String delFlag;
    
    /** 备注 */
    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public Long getRoomId() {
        return roomId;
    }

    public void setRoomId(Long roomId) {
        this.roomId = roomId;
    }

    public String getRoomRecordNumber() {
        return roomRecordNumber;
    }

    public void setRoomRecordNumber(String roomRecordNumber) {
        this.roomRecordNumber = roomRecordNumber;
    }

    public String getUsageRate() {
        return usageRate;
    }

    public void setUsageRate(String usageRate) {
        this.usageRate = usageRate;
    }

    public String getOfficeLayout() {
        return officeLayout;
    }

    public void setOfficeLayout(String officeLayout) {
        this.officeLayout = officeLayout;
    }

    public String getWindowOrientation() {
        return windowOrientation;
    }

    public void setWindowOrientation(String windowOrientation) {
        this.windowOrientation = windowOrientation;
    }

    public String getRentFreePeriod() {
        return rentFreePeriod;
    }

    public void setRentFreePeriod(String rentFreePeriod) {
        this.rentFreePeriod = rentFreePeriod;
    }

    public String getMinLeaseTerm() {
        return minLeaseTerm;
    }

    public void setMinLeaseTerm(String minLeaseTerm) {
        this.minLeaseTerm = minLeaseTerm;
    }

    public Integer getWorkstationMin() {
        return workstationMin;
    }

    public void setWorkstationMin(Integer workstationMin) {
        this.workstationMin = workstationMin;
    }

    public Integer getWorkstationMax() {
        return workstationMax;
    }

    public void setWorkstationMax(Integer workstationMax) {
        this.workstationMax = workstationMax;
    }

    public String getFloorPlanDesc() {
        return floorPlanDesc;
    }

    public void setFloorPlanDesc(String floorPlanDesc) {
        this.floorPlanDesc = floorPlanDesc;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "RoomExtendInfo [id=" + id + ", tenantId=" + tenantId + ", roomId=" + roomId + ", roomRecordNumber="
                + roomRecordNumber + ", usageRate=" + usageRate + ", officeLayout=" + officeLayout
                + ", windowOrientation=" + windowOrientation + ", rentFreePeriod=" + rentFreePeriod + ", minLeaseTerm="
                + minLeaseTerm + ", workstationMin=" + workstationMin + ", workstationMax=" + workstationMax
                + ", floorPlanDesc=" + floorPlanDesc + ", tags=" + tags + ", createTime=" + createTime + ", updateTime="
                + updateTime + ", delFlag=" + delFlag + ", remark=" + remark + "]";
    }
} 