package com.eden.room.domain.dto;

import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 房源导出数据传输对象
 */
@Data
public class RoomExportDTO {
    
    /**
     * 房源ID
     */
    private Long id;
    
    /**
     * 项目ID
     */
    private String projectId;
    
    /**
     * 项目名称
     */
    private String projectName;
    
    /**
     * 楼宇ID
     */
    private Long buildingId;
    
    /**
     * 楼宇名称
     */
    private String buildingName;
    
    /**
     * 楼层ID
     */
    private Long floorId;
    
    /**
     * 楼层名称
     */
    private String floorName;
    
    /**
     * 房源编号
     */
    private String roomNumber;
    
    /**
     * 房源数字编号
     */
    private String roomDigitalNumber;
    
    /**
     * 房源管理编号
     */
    private String roomManageNumber;
    
    /**
     * 房源名称
     */
    private String roomName;
    
    /**
     * 房源类型
     */
    private String roomType;
    
    /**
     * 楼层
     */
    private String floor;
    
    /**
     * 是否整层
     */
    private String isWholeFloor;
    
    /**
     * 建筑面积
     */
    private BigDecimal buildingArea;
    
    /**
     * 计租面积
     */
    private BigDecimal rentalArea;
    
    /**
     * 计费面积
     */
    private BigDecimal billingArea;
    
    /**
     * 套内面积
     */
    private BigDecimal innerArea;
    
    /**
     * 是否虚拟房源
     */
    private String isVirtual;
    
    /**
     * 房源交付时间
     */
    private Date deliveryTime;
    
    /**
     * 绑定业主ID
     */
    private Long ownerId;
    
    /**
     * 业主名称
     */
    private String ownerName;
    
    /**
     * 业主电话
     */
    private String ownerPhone;
    
    /**
     * 产权性质
     */
    private String propertyNature;
    
    /**
     * 层高(米)
     */
    private BigDecimal height;
    
    /**
     * 荷载值
     */
    private BigDecimal loadValue;
    
    /**
     * 房源状态
     */
    private String roomStatus;
    
    /**
     * 租赁状态
     */
    private String rentalStatus;
    
    /**
     * 业务状态
     */
    private String businessStatus;
    
    /**
     * 装修状态
     */
    private String decorationStatus;
    
    /**
     * 价格
     */
    private BigDecimal price;
    
    /**
     * 价格单位
     */
    private String priceUnit;
    
    /**
     * 可租日期
     */
    private Date availableDate;
    
    /**
     * 房源标签
     */
    private String tags;
    
    /**
     * 创建时间
     */
    private Date createTime;
}