package com.eden.room.domain.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 房源查询条件DTO
 */
@Data
public class RoomQueryDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 房号 */
    private String roomNumber;

    /** 房源标签 */
    private String tags;

    /** 项目ID */
    private String projectId;

    /** 楼宇ID */
    private Long buildingId;

    /** 楼层ID */
    private Long floorId;

    /** 租赁状态 */
    private String rentalStatus;

    /** 招商状态 */
    private String businessStatus;

    /** 装修情况 */
    private String decorationStatus;

    /** 房源类型 */
    private String roomType;

    /** 是否虚拟房源 */
    private String isVirtual;
    
    /** 起始创建时间 */
    private String beginCreateTime;
    
    /** 截止创建时间 */
    private String endCreateTime;

    public String getRoomNumber() {
        return roomNumber;
    }

    public void setRoomNumber(String roomNumber) {
        this.roomNumber = roomNumber;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public Long getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(Long buildingId) {
        this.buildingId = buildingId;
    }

    public Long getFloorId() {
        return floorId;
    }

    public void setFloorId(Long floorId) {
        this.floorId = floorId;
    }

    public String getRentalStatus() {
        return rentalStatus;
    }

    public void setRentalStatus(String rentalStatus) {
        this.rentalStatus = rentalStatus;
    }

    public String getBusinessStatus() {
        return businessStatus;
    }

    public void setBusinessStatus(String businessStatus) {
        this.businessStatus = businessStatus;
    }

    public String getDecorationStatus() {
        return decorationStatus;
    }

    public void setDecorationStatus(String decorationStatus) {
        this.decorationStatus = decorationStatus;
    }

    public String getRoomType() {
        return roomType;
    }

    public void setRoomType(String roomType) {
        this.roomType = roomType;
    }

    public String getIsVirtual() {
        return isVirtual;
    }

    public void setIsVirtual(String isVirtual) {
        this.isVirtual = isVirtual;
    }

    public String getBeginCreateTime() {
        return beginCreateTime;
    }

    public void setBeginCreateTime(String beginCreateTime) {
        this.beginCreateTime = beginCreateTime;
    }

    public String getEndCreateTime() {
        return endCreateTime;
    }

    public void setEndCreateTime(String endCreateTime) {
        this.endCreateTime = endCreateTime;
    }
}