package com.eden.room.feign;

import com.eden.room.common.Result;
import org.springframework.stereotype.Component;

/**
 * 合同服务远程调用降级类
 */
@Component
public class ContractFeignFallback implements ContractFeignClient {

    @Override
    public Result<Integer> countContractsByRoomId(Long roomId, Long buildingId) {
        return null;
    }

    @Override
    public boolean checkRoomContract(Long roomId, Long buildingId) {
        // 降级处理，默认返回true，即假定有正在执行的合同，防止误删
        return false;
    }
} 