package com.eden.room.feign;

import com.eden.room.domain.dto.OwnerDTO;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * 业户服务远程调用降级类
 */
@Component
public class CustomerFeignFallback implements CustomerFeignClient {

    @Override
    public OwnerDTO getOwnerById(Long id) {
        return null;
    }

    @Override
    public List<OwnerDTO> getOwnerList() {
        return new ArrayList<>();
    }

    @Override
    public List<OwnerDTO> getOwnerByName(String name) {
        return new ArrayList<>();
    }
} 