//package com.eden.room.interceptor;
//
//import java.util.Properties;
//import java.util.Set;
//import java.util.HashSet;
//
//import org.apache.ibatis.cache.CacheKey;
//import org.apache.ibatis.executor.Executor;
//import org.apache.ibatis.mapping.BoundSql;
//import org.apache.ibatis.mapping.MappedStatement;
//import org.apache.ibatis.mapping.SqlCommandType;
//import org.apache.ibatis.plugin.Interceptor;
//import org.apache.ibatis.plugin.Intercepts;
//import org.apache.ibatis.plugin.Invocation;
//import org.apache.ibatis.plugin.Plugin;
//import org.apache.ibatis.plugin.Signature;
//import org.apache.ibatis.session.ResultHandler;
//import org.apache.ibatis.session.RowBounds;
//
//import com.eden.room.common.ContextUser;
//
///**
// * 租户拦截器
// */
//@Intercepts({
//    @Signature(type = Executor.class, method = "query", args = {MappedStatement.class, Object.class, RowBounds.class, ResultHandler.class}),
//    @Signature(type = Executor.class, method = "query", args = {MappedStatement.class, Object.class, RowBounds.class, ResultHandler.class, CacheKey.class, BoundSql.class}),
//    @Signature(type = Executor.class, method = "update", args = {MappedStatement.class, Object.class})
//})
//public class TenantInterceptor implements Interceptor {
//
//    // 需要添加租户条件的表名集合
//    private static final Set<String> TENANT_TABLES = new HashSet<>();
//    static {
//        TENANT_TABLES.add("TB_ROOM_BASE");
//        TENANT_TABLES.add("TB_ROOM_BUSINESS");
//        TENANT_TABLES.add("TB_ROOM_EXTEND");
//        TENANT_TABLES.add("TB_ROOM_IMAGE");
//        TENANT_TABLES.add("TB_PROJECT");
//        TENANT_TABLES.add("TB_BUILDING");
//        TENANT_TABLES.add("TB_FLOOR");
//    }
//
//    @Override
//    public Object intercept(Invocation invocation) throws Throwable {
//        Object[] args = invocation.getArgs();
//        MappedStatement ms = (MappedStatement) args[0];
//        Object parameter = args[1];
//
//        // 获取当前用户信息
//        ContextUser user = ContextUser.getCurrentUser();
//        if (user == null || user.getTenantId() == null) {
//            return invocation.proceed();
//        }
//
//        // 获取SQL类型
//        SqlCommandType sqlCommandType = ms.getSqlCommandType();
//
//        // 获取SQL语句
//        BoundSql boundSql = ms.getBoundSql(parameter);
//        String sql = boundSql.getSql().toUpperCase();
//
//        // 判断是否需要添加租户条件
//        if (needTenant(sql)) {
//            // 添加租户条件
//            String tenantSql = addTenantCondition(sql, user.getTenantId());
//            // 创建新的BoundSql
//            BoundSql newBoundSql = new BoundSql(ms.getConfiguration(), tenantSql, boundSql.getParameterMappings(), parameter);
//            // 创建新的MappedStatement
//            MappedStatement newMs = copyMappedStatement(ms, newBoundSql);
//            // 替换参数
//            args[0] = newMs;
//        }
//
//        return invocation.proceed();
//    }
//
//    /**
//     * 判断是否需要添加租户条件
//     */
//    private boolean needTenant(String sql) {
//        // 排除不需要添加租户条件的SQL
//        if (sql.contains("COUNT(*)") || sql.contains("MAX(") || sql.contains("MIN(") ||
//            sql.contains("SUM(") || sql.contains("AVG(")) {
//            return false;
//        }
//
//        // 检查SQL中是否包含需要添加租户条件的表
//        for (String table : TENANT_TABLES) {
//            if (sql.contains(table)) {
//                return true;
//            }
//        }
//
//        return false;
//    }
//
//    /**
//     * 添加租户条件
//     */
//    private String addTenantCondition(String sql, String tenantId) {
//        // 使用参数化查询防止SQL注入
//        String tenantCondition = " tenant_id = #{tenantId} AND ";
//        if (sql.contains("WHERE")) {
//            return sql.replaceFirst("(?i)WHERE", "WHERE " + tenantCondition);
//        } else {
//            return sql.replaceFirst("(?i)FROM", "FROM WHERE " + tenantCondition);
//        }
//    }
//
//    /**
//     * 复制MappedStatement
//     */
//    private MappedStatement copyMappedStatement(MappedStatement ms, BoundSql boundSql) {
//        MappedStatement.Builder builder = new MappedStatement.Builder(ms.getConfiguration(), ms.getId(),
//            boundSql, ms.getSqlCommandType());
//        builder.resource(ms.getResource());
//        builder.fetchSize(ms.getFetchSize());
//        builder.statementType(ms.getStatementType());
//        builder.keyGenerator(ms.getKeyGenerator());
//        builder.timeout(ms.getTimeout());
//        builder.parameterMap(ms.getParameterMap());
//        builder.resultMaps(ms.getResultMaps());
//        builder.resultSetType(ms.getResultSetType());
//        builder.cache(ms.getCache());
//        builder.flushCacheRequired(ms.isFlushCacheRequired());
//        builder.useCache(ms.isUseCache());
//        return builder.build();
//    }
//
//    @Override
//    public Object plugin(Object target) {
//        return Plugin.wrap(target, this);
//    }
//
//    @Override
//    public void setProperties(Properties properties) {
//    }
//}