//package com.eden.room.interceptor;
//
//import javax.servlet.http.HttpServletRequest;
//import javax.servlet.http.HttpServletResponse;
//
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.web.servlet.HandlerInterceptor;
//
//import com.eden.room.common.ContextUser;
//
///**
// * 用户上下文拦截器
// */
//public class UserContextInterceptor implements HandlerInterceptor {
//
//    private static final Logger logger = LoggerFactory.getLogger(UserContextInterceptor.class);
//
//    @Override
//    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) {
//        try {
//            // 从请求头或token中获取用户信息
//            String tenantId = request.getHeader("X-Tenant-ID");
//            String userId = request.getHeader("X-User-ID");
//            String username = request.getHeader("X-Username");
//
//            // 参数校验
//            if (tenantId == null || tenantId.trim().isEmpty()) {
//                logger.warn("Missing tenant ID in request headers");
//                response.setStatus(HttpServletResponse.SC_BAD_REQUEST);
//                return false;
//            }
//
//            if (userId == null || userId.trim().isEmpty()) {
//                logger.warn("Missing user ID in request headers");
//                response.setStatus(HttpServletResponse.SC_BAD_REQUEST);
//                return false;
//            }
//
//            // 设置用户上下文
//            ContextUser user = new ContextUser();
//            user.setTenantId(tenantId.trim());
//            user.setUserId(userId.trim());
//            user.setUsername(username != null ? username.trim() : null);
//            ContextUser.setCurrentUser(user);
//
//            logger.debug("Set user context: tenantId={}, userId={}, username={}",
//                tenantId, userId, username);
//
//            return true;
//
//        } catch (Exception e) {
//            logger.error("Error setting user context", e);
//            response.setStatus(HttpServletResponse.SC_INTERNAL_SERVER_ERROR);
//            return false;
//        }
//    }
//
//    @Override
//    public void afterCompletion(HttpServletRequest request, HttpServletResponse response, Object handler, Exception ex) {
//        try {
//            // 清理用户上下文
//            ContextUser.clear();
//            logger.debug("Cleared user context");
//        } catch (Exception e) {
//            logger.error("Error clearing user context", e);
//        }
//    }
//}