package com.eden.room.mapper;

import com.eden.room.domain.vo.BuildingTreeVO;
import com.eden.room.domain.vo.FloorTreeVO;
import com.eden.room.domain.vo.ProjectTreeVO;
import com.eden.room.domain.vo.RoomTreeVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import java.util.List;

@Mapper
public interface ProjectTreeMapper {
    
    /**
     * 查询项目信息
     */
    List<ProjectTreeVO> selectProjects();
    
    /**
     * 查询项目下的楼宇信息
     */
    List<BuildingTreeVO> selectBuildingsByProjectId(@Param("projectId") String projectId);
    
    /**
     * 查询楼宇下的楼层信息
     */
    List<FloorTreeVO> selectFloorsByBuildingId(@Param("buildingId") Long buildingId);
    
    /**
     * 查询楼层下的房源信息
     */
    List<RoomTreeVO> selectRoomsByFloorId(@Param("floorId") Long floorId);
} 